// Ajout d'un padding-top dynamique de la hauteur du menu fixed, afin de ne pas recouvrir le contenu
var hauteurNav = $('nav').height() + 10;
$('body').css('padding-top', hauteurNav + 'px');



//// Docs
// Se déplacer à un point du scrollhttps:
//		http://api.jquery.com/scrollTop/

// Récupérer la position verticale d'un élément
// 		http://api.jquery.com/offset/


// Ajout d'écouteurs sur chaque élément du menu
$('button').click(goTo);


function goTo(event) {

	// Récupération de l'élément auquel on doit scroll (attribut data-to dans le html)
	var elementVersQuiOnScroll = "#" + $(this).data('to');
	console.log(elementVersQuiOnScroll); // hey1, hey2, hey3, etc. en fonction du bouton cliqué

	// Position de l'élément vers qui on scroll par rapport au haut du navigateur, en fonction du scroll actuel
	var distanceFromTop = $(elementVersQuiOnScroll).offset().top;

	// On rajoute le décalage lié au menu fixé (ligne 2 du js ;))
	distanceFromTop -= hauteurNav + 10;

	// Se déplacer à cette position
	$('html, body').animate({
        scrollTop: distanceFromTop
    }, 2000); // en deux secondes

}



// Ne sers a rien pour l'animation, mais permet de déclencher des évènements quand on y arrive (fadeIn, etc.)
// Bon ca marche pas au top vu qu'on a le décalage lié au menu, mais ca permet de voir commetn ça tourne ^^'
$('h1').each(
	function(index) {

		var id = $(this).attr('id');

		var waypoint = new Waypoint({
			element: $(this),
			handler: function() {
				console.log('Le scroll arrive sur l\'element : ' + id);
			}
		});
	}
);


// Aller plus loing
// 		https://spin.atomicobject.com/2015/05/31/scroll-anmiation-css-waypoints/